From ce5a620088bfc6ee92d5100091c6a65700b4a22e Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 8 May 2024 13:49:37 +0200
Subject: [PATCH v1 4/7] Fix -Wmissing-variable-declarations warnings for
 float.c special case

---
 src/backend/utils/adt/float.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/backend/utils/adt/float.c b/src/backend/utils/adt/float.c
index cbbb8aecafc..bf047ee1b4c 100644
--- a/src/backend/utils/adt/float.c
+++ b/src/backend/utils/adt/float.c
@@ -56,6 +56,11 @@ static float8 cot_45 = 0;
  * compiler to know that, else it might try to precompute expressions
  * involving them.  See comments for init_degree_constants().
  */
+extern float8 degree_c_thirty;
+extern float8 degree_c_forty_five;
+extern float8 degree_c_sixty;
+extern float8 degree_c_one_half;
+extern float8 degree_c_one;
 float8		degree_c_thirty = 30.0;
 float8		degree_c_forty_five = 45.0;
 float8		degree_c_sixty = 60.0;
-- 
2.44.0

